Vagrant.configure("2") do |config|
  config.vm.provider "virtualbox" do |v|
    v.memory = 1024
    v.cpus = 2
  end
    
  config.vm.define "ansible-master" do |am|
    am.vm.box = "debian/buster64"
    am.vm.network "private_network", ip: "192.168.56.2"
    am.vm.hostname = "ansible-master"
  end
   
  config.vm.define "consul-server" do |cs|
    cs.vm.box = "debian/buster64"
    cs.vm.network "private_network", ip: "192.168.56.3"
    cs.vm.hostname = "consul-server"
  end

  config.vm.define "consul-client" do |cc|
    cc.vm.box = "debian/buster64"
    cc.vm.network "private_network", ip: "192.168.56.4"
    cc.vm.hostname = "consul-client"
  end
end
